%global install_loc  %{_datadir}/eclipse/dropins
%global eclipse_base %{_libdir}/eclipse

%global pkgname      eclox

Name:           eclipse-%{pkgname}
Version:        0.8.0
Release:        2.20090616svn%{?dist}
Summary:        Eclipse-based doxygen plugin

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://eclox.eu/

Source0:        org.gna.%{pkgname}_%{version}.tar.gz
# Source1 is used to download Source0
Source1:        eclipse-%{pkgname}-download.sh

# These excludes are pulled as %%docs instead
Patch0:         eclipse-eclox-bin_excludes.patch
Patch1:         eclipse-eclox-help_excludes.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eclipse-pde
BuildRequires:  java-devel

Requires:       doxygen
Requires:       eclipse-platform

BuildArch:      noarch

%description
Eclox is a doxygen frontend plug-in for eclipse.
It aims to provide a slim and sleek integration of the
code documentation process into eclipse.

%prep
%setup -q -n org.gna.%{pkgname}_%{version}

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

# Remove unneccessary files
%patch0 -p0 -b .exclude
%patch1 -p0 -b .exclude

%build
cd %{pkgname}.feature

%{eclipse_base}/buildscripts/pdebuild -o `pwd`/..


%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{install_loc}

unzip -d %{buildroot}%{install_loc} -q eclox.feature/build/rpmBuild/org.gna.%{pkgname}.zip


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{pkgname}.feature/{AUTHORS,CHANGES,COPYING,MANUAL,README,TODO}
%{install_loc}/*

%changelog
* Thu Jul 02 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.8.0-2.20090616svn
- Packaging - Put documentation into %%doc

* Sun Dec 07 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.8.0-1.20090616svn
- Initial packaging.
